View Issue Details

IDProjectCategoryView StatusLast Update
0001018OpenMPT[All Projects] Generalpublic2018-03-05 11:52
ReportermanxAssigned Tomanx 
PrioritylowSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Versionlibopenmpt 0.4 (goals)Fixed in Versionlibopenmpt 0.4 (goals) 
Summary0001018: Remove Clang/C2 support
Description

Microsoft is phasing out Clang/C2 in favor of Clang/LLVM (using Microsoft STL).
See https://www.reddit.com/r/cpp/comments/6oepq4/making_windows_clang_401_play_nice_with_visual/dkhfar0/ .

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Relationships

related to 0000847 closedmanx MSVC Clang/C2 support for libopenmpt 
related to 0000849 closedmanx MSVC Clang/C2 support 

Activities

manx

manx

2018-03-05 11:51

administrator   ~0003462

r9842

Issue History

Date Modified Username Field Change
2017-09-02 09:37 manx New Issue
2017-09-02 09:37 manx Status new => assigned
2017-09-02 09:37 manx Assigned To => manx
2017-09-02 09:38 manx Relationship added related to 0000847
2017-09-02 09:38 manx Relationship added related to 0000849
2017-09-17 09:20 manx Target Version OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first) => libopenmpt 0.4 (goals)
2018-03-05 11:51 manx Status assigned => resolved
2018-03-05 11:51 manx Resolution open => fixed
2018-03-05 11:51 manx Note Added: 0003462
2018-03-05 11:52 manx Fixed in Version => libopenmpt 0.4 (goals)